#
# Conditional build:
%bcond_without	apidocs		# API documentation

%define		gstname		gst-libav
%define		gstmver		1.0
%define		gst_ver		1.26.0
%define		gstpb_ver	1.26.0
%define		ffmpeg_ver	4.4

Summary:	GStreamer Streaming-media framework plug-in using libav
Summary(pl.UTF-8):	Wtyczka do środowiska obróbki strumieni GStreamer używająca libav
Name:		gstreamer-libav
Version:	1.26.0
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://gstreamer.freedesktop.org/src/gst-libav/%{gstname}-%{version}.tar.xz
# Source0-md5:	aa1af31b4ea8d4413c9d9feded3d81ea
URL:		https://gstreamer.freedesktop.org/
# libavfilter >= 7.16.100, libavformat >= 58.12.100, libavcodec >= 58.18.100, libavutil >= 56.14.100
BuildRequires:	ffmpeg-devel >= %{ffmpeg_ver}
BuildRequires:	gstreamer-devel >= %{gst_ver}
BuildRequires:	gstreamer-plugins-base-devel >= %{gstpb_ver}
%{?with_apidocs:BuildRequires:	hotdoc >= 0.11.0}
BuildRequires:	meson >= 1.4
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	python >= 2.1
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	ffmpeg-libs >= %{ffmpeg_ver}
Requires:	gstreamer >= %{gst_ver}
Requires:	gstreamer-plugins-base >= %{gstpb_ver}
Obsoletes:	gstreamer-ffmpeg < 1
Obsoletes:	gstreamer-real < 1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		filterout	-flto

%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.

This plugin contains the libav codecs, containing codecs for most
popular multimedia formats.

%description -l pl.UTF-8
GStreamer to środowisko obróbki danych strumieniowych, bazujące na
grafie filtrów operujących na danych medialnych. Aplikacje używające
tej biblioteki mogą robić wszystko od przetwarzania dźwięku w czasie
rzeczywistym, do odtwarzania filmów i czegokolwiek innego związanego z
mediami. Architektura bazująca na wtyczkach pozwala na łatwe dodawanie
nowych typów danych lub możliwości obróbki.

Wtyczka ta zawiera kodeki libav, potrafiące zdekodować
najpopularniejsze formaty multimedialne.

%package apidocs
Summary:	API documentation for GStreamer libav plugin
Summary(pl.UTF-8):	Dokumentacja API do wtyczki GStreamera libav
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for GStreamer libav plugin.

%description apidocs -l pl.UTF-8
Dokumentacja API do wtyczki GStreamera libav.

%prep
%setup -q -n %{gstname}-%{version}

%build
%meson \
	--default-library=shared \
	-Ddoc=%{__enabled_disabled apidocs} \
	-Dtests=disabled

%meson_build

%if %{with apidocs}
%meson_build build-hotdoc-configs

cd build/docs
LC_ALL=C.UTF-8 hotdoc run --conf-file plugin-libav.json
%endif

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%if %{with apidocs}
install -d $RPM_BUILD_ROOT%{_docdir}/gstreamer-%{gstmver}
cp -pr build/docs/plugin-libav $RPM_BUILD_ROOT%{_docdir}/gstreamer-%{gstmver}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README.md
%attr(755,root,root) %{_libdir}/gstreamer-%{gstmver}/libgstlibav.so

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_docdir}/gstreamer-%{gstmver}/plugin-libav
%endif
%changelog
* Tue Apr 08 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gstreamer-libav.git;a=log;h=master

* Thu Mar 27 2025 Jakub Bogusz <qboosh@pld-linux.org> 0c227d0
- updated to 1.26.0 (now ffmpeg 7 is supported)

* Fri Feb 28 2025 Jakub Bogusz <qboosh@pld-linux.org> b54ee33
- updated to 1.24.12

* Wed Sep 25 2024 Jakub Bogusz <qboosh@pld-linux.org> 86378b5
- updated to 1.24.8

* Sat Sep 07 2024 Jakub Bogusz <qboosh@pld-linux.org> f93b18b
- updated to 1.24.7

* Thu May 30 2024 Jakub Bogusz <qboosh@pld-linux.org> 6bc7849
- updated to 1.24.4

* Mon Apr 15 2024 Jakub Bogusz <qboosh@pld-linux.org> dcffd7e
- updated to 1.24.2

* Mon Mar 25 2024 Jakub Bogusz <qboosh@pld-linux.org> 9eaebd7
- updated to 1.24.1

* Wed Mar 20 2024 Jakub Bogusz <qboosh@pld-linux.org> dd1653d
- updated to 1.24.0

* Sun Oct 22 2023 Jakub Bogusz <qboosh@pld-linux.org> f868633
- updated to 1.22.6

* Mon Oct 16 2023 Jan Rękorajski <baggins@pld-linux.org> 806e75f
- Release 2 (by relup.sh)

* Sun Jul 23 2023 Jakub Bogusz <qboosh@pld-linux.org> 9e63ea0
- updated to 1.22.5

* Sat Apr 15 2023 Jakub Bogusz <qboosh@pld-linux.org> 11cf528
- updated to 1.22.2 (ffmpeg 6.0 fix)

* Sun Apr 09 2023 Jakub Bogusz <qboosh@pld-linux.org> 020d843
- updated to 1.22.1

* Mon Jan 09 2023 Jakub Bogusz <qboosh@pld-linux.org> 6e9b5f0
- updated to 1.20.5

* Fri Jun 24 2022 Jakub Bogusz <qboosh@pld-linux.org> 69533ed
- updated to 1.20.3

* Tue May 10 2022 Jakub Bogusz <qboosh@pld-linux.org> 0f217d6
- updated to 1.20.2

* Sat Apr 16 2022 Jakub Bogusz <qboosh@pld-linux.org> 1349a1c
- updated to 1.20.1

* Sun Feb 20 2022 Jan Rękorajski <baggins@pld-linux.org> 899c496
- Release 2 (by relup.sh)

* Thu Feb 17 2022 Jan Palus <atler@pld-linux.org> e757f3f
- remove link patch dropped from spec in 26aae24

* Thu Feb 17 2022 Jan Palus <atler@pld-linux.org> 562918a
- up to 1.20.0

